(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4811,        128]
NotebookOptionsPosition[      4440,        111]
NotebookOutlinePosition[      4797,        127]
CellTagsIndexPosition[      4754,        124]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"MFBenchmark", "[", 
   RowBox[{"h_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"seed", " ", "=", " ", "1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"RandomSeed", "[", "seed", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"k", " ", "=", " ", 
     RowBox[{
      RowBox[{"2", "h"}], "+", "1"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"n", " ", "=", " ", 
     RowBox[{"k", " ", "b"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"x", " ", "=", " ", 
     RowBox[{
      RowBox[{"RandomInteger", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{
           RowBox[{"2", "^", "32"}], "-", "1"}]}], "}"}], ",", "n"}], "]"}], 
      " ", "//", " ", "N"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"t", " ", "=", " ", 
     RowBox[{"Timing", "[", 
      RowBox[{
       RowBox[{"y", " ", "=", " ", 
        RowBox[{"MedianFilter", "[", 
         RowBox[{"x", ",", "k"}], "]"}]}], ";"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<mathematica\>\"", ",", " ", "h", ",", " ", "b", ",", " ", 
      "\"\<r-large\>\"", ",", " ", "seed", ",", " ", 
      RowBox[{"t", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.606336332247925*^9, 3.606336383314715*^9}, {
  3.60633643311222*^9, 3.6063364962181063`*^9}, {3.606336543655349*^9, 
  3.60633659889386*^9}, {3.606336639729341*^9, 3.6063367055640907`*^9}, {
  3.606336738829061*^9, 3.606336754888762*^9}, {3.606336971854225*^9, 
  3.606337001692178*^9}, {3.606472712648048*^9, 3.606472778998238*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.606473038558268*^9, 3.606473052806995*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<result\>\"", ",", " ", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"1", ",", "10000"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"10", ",", "1000"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"100", ",", "100"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"1000", ",", "10"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"1", ",", "100000"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"10", ",", "10000"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"100", ",", "1000"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"1000", ",", "100"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MFBenchmark", "[", 
       RowBox[{"10000", ",", "10"}], "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", "}"}]}], "\[IndentingNewLine]", "}"}], ",", " ", 
    "\"\<TSV\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.606337146505651*^9, 3.606337148021146*^9}, {
   3.6063374437414513`*^9, 3.6063374473896427`*^9}, {3.6064724805155373`*^9, 
   3.6064725241762447`*^9}, {3.6064726395563707`*^9, 3.606472700679747*^9}, {
   3.6064728129819202`*^9, 3.606472828673996*^9}, {3.606472886994362*^9, 
   3.606472891211174*^9}, 3.606473055287565*^9, {3.606473088706397*^9, 
   3.606473152338407*^9}, {3.60647565748704*^9, 3.6064757008995543`*^9}, {
   3.6064760597105*^9, 3.606476132342988*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<log\>\"", ",", " ", 
    RowBox[{"{", 
     RowBox[{"$Version", ",", "\"\<\>\""}], "}"}], ",", " ", "\"\<Text\>\""}],
    "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.606473302432049*^9, 3.60647336255374*^9}}]
},
WindowSize->{1406, 1293},
WindowMargins->{{71, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1688, 40, 165, "Input"],
Cell[2248, 62, 189, 4, 28, "Input"],
Cell[2440, 68, 1717, 32, 216, "Input"],
Cell[4160, 102, 276, 7, 28, "Input"]
}
]
*)

(* End of internal cache information *)
